Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.kit.comm.amiga
Class Message

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.kit.comm.amiga.Message

Direct Known Subclasses:
  TeamListMessage

public class Message
extends ListNode
implements java.lang.Cloneable

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`Message()`

Method Summary
`java.lang.Object` | `clone()` Clone a ListNode.
`MsgPort` | `getReplyPort()`
`boolean` | `isReply()`
`void` | `reply()` Send this message back as a reply.
`void` | `setReplyPort(MsgPort mp)` Set the reply port for this message.

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, prepend, remove`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Message

    public Message()

Method Detail

### setReplyPort

    public void setReplyPort(MsgPort mp)

  Set the reply port for this message.
  Parameters:
    `mp` - The port to expect replies on.

### getReplyPort

    public MsgPort getReplyPort()

  Returns:
    The reply port for this message.

### isReply

    public boolean isReply()

  Returns:
    Whether or not this message is a reply to another.

### reply

    public void reply()

  Send this message back as a reply.

### clone

    public java.lang.Object clone()

  Description copied from class: ListNode
  Clone a ListNode. The node is cloned in isolation; the clone is never on a list, regardless of the state of the original.
  Overrides:
    clone in class ListNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.5.1 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2001 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Jun 1, 2001